RDKit: RDKit::StructureCheck Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions | Variables
RDKit::StructureCheck Namespace Reference

## Classes
struct | AugmentedAtom
class | ChargeFix
struct | IncEntry
struct | Ligand
struct | Neighbourhood
struct | PathEntry
class | StructChecker
| Class for performing structure validation and cleanup. More...
struct | StructCheckerOptions
| Structure Check Options. More...
class | StructCheckTautomer

## Enumerations
enum | RadicalType { RT_NONE = 0, SINGLET = 1, DOUBLET = 2, TRIPLET = 3, ANY_RADICAL = 0xFF }
enum | AABondType { BT_NONE = 0, SINGLE = 1, DOUBLE = 2, TRIPLE = 3, AROMATIC = 4, SINGLE_DOUBLE = 5, SINGLE_AROMATIC = 6, DOUBLE_AROMATIC = 7, ANY_BOND = 8, ALL_BOND_TYPES = 0xF }
enum | AATopology { TP_NONE = 0, RING = 1, CHAIN = 2 }

## Functions
RDKit::Bond::BondType | convertBondType (AABondType bt)
AABondType | convertBondType (RDKit::Bond::BondType rdbt)
unsigned | getAtomicNumber (const std::string symbol)
bool | AtomSymbolMatch (const std::string symbol, const std::string pattern)
bool | LigandMatches (const Atom &a, const Bond &b, const Ligand &l, bool use_charge=false)
bool | isBondTypeMatch (const RDKit::Bond &b, AABondType lbt)
bool | RecMatch (const ROMol &mol, unsigned atomIdx, const AugmentedAtom &aa, const std::vector< Neighbourhood > &nbp, bool verbose)
bool | AAMatch (const ROMol &mol, unsigned i, const AugmentedAtom &aa, const std::vector< unsigned > &atom_ring_status, const std::vector< Neighbourhood > &nbp, bool verbose)
bool | TransformAugmentedAtoms (RWMol &mol, const std::vector< std::pair< AugmentedAtom, AugmentedAtom > > &aapair, bool verbose)
bool | CheckAtoms (const ROMol &mol, const std::vector< AugmentedAtom > &good_atoms, bool verbose)
int | TotalCharge (const ROMol &mol)
static int | INVERT_PARITY (int p)
int | DubiousStereochemistry (RWMol &mol)
int | FixDubious3DMolecule (RWMol &mol)
void | RemoveDubiousStereochemistry (RWMol &mol)
bool | CheckStereo (const ROMol &mol)
bool | AtomClash (RWMol &mol, double clash_limit)
int | AtomParity (const ROMol &mol, unsigned iatom, const Neighbourhood &nbp)
int | CisTransPerception (const ROMol &mol, const std::vector< RDGeom::Point3D > &points, const std::vector< unsigned > &numbering, std::vector< unsigned > &bondColor)
bool | StripSmallFragments (RWMol &mol, bool verbose=false)
void | AddMWMF (RWMol &mol, bool pre)
bool | parseOptionsJSON (const std::string &json, StructCheckerOptions &op)
bool | loadOptionsFromFiles (StructCheckerOptions &op, const std::string &augmentedAtomTranslationsFile="", const std::string &patternFile="", const std::string &rotatePatternFile="", const std::string &stereoPatternFile="", const std::string &tautomerFile="")
void | SetupNeighbourhood (const ROMol &mol, std::vector< Neighbourhood > &neighbour_array)
bool | getMolAtomPoints (const ROMol &mol, std::vector< RDGeom::Point3D > &atomPoint, bool twod=false)
std::string | LogNeighbourhood (const ROMol &mol, unsigned int idx, const std::vector< Neighbourhood > &bneighbour_array)

## Variables
static const int | ODD = 1
static const int | EVEN = 2
static const int | UNMARKED = 3
static const int | ALLENE_PARITY = -2
static const int | ILLEGAL_REPRESENTATION = -1
static const int | UNDEFINED_PARITY = 0
static const int | ODD_PARITY = 1
static const int | EVEN_PARITY = 2
static const int | CIS = 1
static const int | TRANS = 2
static const int | EITHER_BOND_FOUND = 1
static const int | STEREO_BOND_AT_NON_STEREO_ATOM = 2
static const int | ZEROED_Z_COORDINATES = 4
static const int | CONVERTED_TO_2D = 8
static const int | ANY_CHARGE = 8

## Enumeration Type Documentation

enum RDKit::StructureCheck::AABondType

Enumerator
BT_NONE |
SINGLE |
DOUBLE |
TRIPLE |
AROMATIC |
SINGLE_DOUBLE |
SINGLE_AROMATIC |
DOUBLE_AROMATIC |
ANY_BOND |
ALL_BOND_TYPES |

Definition at line 43 of file StructChecker.h.

enum RDKit::StructureCheck::AATopology

Enumerator
TP_NONE |
RING |
CHAIN |

Definition at line 56 of file StructChecker.h.

enum RDKit::StructureCheck::RadicalType

Enumerator
RT_NONE |
SINGLET |
DOUBLET |
TRIPLET |
ANY_RADICAL |

Definition at line 35 of file StructChecker.h.

## Function Documentation

bool RDKit::StructureCheck::AAMatch | ( | const ROMol & | mol,
|  | unsigned | i,
|  | const AugmentedAtom & | aa,
|  | const std::vector< unsigned > & | atom_ring_status,
|  | const std::vector< Neighbourhood > & | nbp,
|  | bool | verbose
| ) |  |

void RDKit::StructureCheck::AddMWMF | ( | RWMol & | mol,
|  | bool | pre
| ) |  |

bool RDKit::StructureCheck::AtomClash | ( | RWMol & | mol,
|  | double | clash_limit
| ) |  |

int RDKit::StructureCheck::AtomParity | ( | const ROMol & | mol,
|  | unsigned | iatom,
|  | const Neighbourhood & | nbp
| ) |  |

bool RDKit::StructureCheck::AtomSymbolMatch | ( | const std::string | symbol,
|  | const std::string | pattern
| ) |  |

bool RDKit::StructureCheck::CheckAtoms | ( | const ROMol & | mol,
|  | const std::vector< AugmentedAtom > & | good_atoms,
|  | bool | verbose
| ) |  |

bool RDKit::StructureCheck::CheckStereo | ( | const ROMol & | mol | ) |

int RDKit::StructureCheck::CisTransPerception | ( | const ROMol & | mol,
|  | const std::vector< RDGeom::Point3D > & | points,
|  | const std::vector< unsigned > & | numbering,
|  | std::vector< unsigned > & | bondColor
| ) |  |

RDKit::Bond::BondType RDKit::StructureCheck::convertBondType | ( | AABondType | bt | ) |

AABondType RDKit::StructureCheck::convertBondType | ( | RDKit::Bond::BondType | rdbt | ) |

int RDKit::StructureCheck::DubiousStereochemistry | ( | RWMol & | mol | ) |

int RDKit::StructureCheck::FixDubious3DMolecule | ( | RWMol & | mol | ) |

unsigned RDKit::StructureCheck::getAtomicNumber | ( | const std::string | symbol | ) |

bool RDKit::StructureCheck::getMolAtomPoints | ( | const ROMol & | mol,
|  | std::vector< RDGeom::Point3D > & | atomPoint,
|  | bool | twod = `false`
| ) |  |

static int RDKit::StructureCheck::INVERT_PARITY | ( | int | p | ) |
| inlinestatic

Definition at line 27 of file Stereo.h.

bool RDKit::StructureCheck::isBondTypeMatch | ( | const RDKit::Bond & | b,
|  | AABondType | lbt
| ) |  |

bool RDKit::StructureCheck::LigandMatches | ( | const Atom & | a,
|  | const Bond & | b,
|  | const Ligand & | l,
|  | bool | use_charge = `false`
| ) |  |

bool RDKit::StructureCheck::loadOptionsFromFiles | ( | StructCheckerOptions & | op,
|  | const std::string & | augmentedAtomTranslationsFile = `""`,
|  | const std::string & | patternFile = `""`,
|  | const std::string & | rotatePatternFile = `""`,
|  | const std::string & | stereoPatternFile = `""`,
|  | const std::string & | tautomerFile = `""`
| ) |  |

Referenced by RDKit::StructureCheck::StructCheckerOptions::clear().

std::string RDKit::StructureCheck::LogNeighbourhood | ( | const ROMol & | mol,
|  | unsigned int | idx,
|  | const std::vector< Neighbourhood > & | bneighbour_array
| ) |  |

bool RDKit::StructureCheck::parseOptionsJSON | ( | const std::string & | json,
|  | StructCheckerOptions & | op
| ) |  |

Referenced by RDKit::StructureCheck::StructCheckerOptions::clear().

bool RDKit::StructureCheck::RecMatch | ( | const ROMol & | mol,
|  | unsigned | atomIdx,
|  | const AugmentedAtom & | aa,
|  | const std::vector< Neighbourhood > & | nbp,
|  | bool | verbose
| ) |  |

void RDKit::StructureCheck::RemoveDubiousStereochemistry | ( | RWMol & | mol | ) |

void RDKit::StructureCheck::SetupNeighbourhood | ( | const ROMol & | mol,
|  | std::vector< Neighbourhood > & | neighbour_array
| ) |  |

bool RDKit::StructureCheck::StripSmallFragments | ( | RWMol & | mol,
|  | bool | verbose = `false`
| ) |  |

int RDKit::StructureCheck::TotalCharge | ( | const ROMol & | mol | ) |

bool RDKit::StructureCheck::TransformAugmentedAtoms | ( | RWMol & | mol,
|  | const std::vector< std::pair< AugmentedAtom, AugmentedAtom > > & | aapair,
|  | bool | verbose
| ) |  |

## Variable Documentation

const int RDKit::StructureCheck::ALLENE_PARITY = -2
| static

Definition at line 22 of file Stereo.h.

const int RDKit::StructureCheck::ANY_CHARGE = 8
| static

Definition at line 34 of file StructChecker.h.

const int RDKit::StructureCheck::CIS = 1
| static

Definition at line 30 of file Stereo.h.

const int RDKit::StructureCheck::CONVERTED_TO_2D = 8
| static

Definition at line 37 of file Stereo.h.

const int RDKit::StructureCheck::EITHER_BOND_FOUND = 1
| static

Definition at line 34 of file Stereo.h.

const int RDKit::StructureCheck::EVEN = 2
| static

Definition at line 19 of file Stereo.h.

const int RDKit::StructureCheck::EVEN_PARITY = 2
| static

Definition at line 26 of file Stereo.h.

const int RDKit::StructureCheck::ILLEGAL_REPRESENTATION = -1
| static

Definition at line 23 of file Stereo.h.

const int RDKit::StructureCheck::ODD = 1
| static

Definition at line 18 of file Stereo.h.

const int RDKit::StructureCheck::ODD_PARITY = 1
| static

Definition at line 25 of file Stereo.h.

const int RDKit::StructureCheck::STEREO_BOND_AT_NON_STEREO_ATOM = 2
| static

Definition at line 35 of file Stereo.h.

const int RDKit::StructureCheck::TRANS = 2
| static

Definition at line 31 of file Stereo.h.

const int RDKit::StructureCheck::UNDEFINED_PARITY = 0
| static

Definition at line 24 of file Stereo.h.

const int RDKit::StructureCheck::UNMARKED = 3
| static

Definition at line 20 of file Stereo.h.

const int RDKit::StructureCheck::ZEROED_Z_COORDINATES = 4
| static

Definition at line 36 of file Stereo.h.